Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.record
Class ParameterBuilder

    java.lang.Object
      com.servingxml.util.record.AbstractRecord
          com.servingxml.util.record.RecordBuilder
              com.servingxml.util.record.ParameterBuilder

All Implemented Interfaces:
  Record

    public class ParameterBuilder

extends RecordBuilder

Field Summary

Fields inherited from interface com.servingxml.util.record.Record
`EMPTY, EMPTY_ARRAY, EMPTY_RECORD_TYPE_NAME`

Constructor Summary
`ParameterBuilder()`
`ParameterBuilder(Record record)`

Method Summary

Methods inherited from class com.servingxml.util.record.RecordBuilder
`addFieldType, clear, fieldCount, getFieldIndex, getFieldName, getObject, getRecordType, getString, getStringArray, getValue, getValue, setBigDecimal, setBoolean, setBoolean, setByte, setByte, setDate, setDate, setDateTime, setDateTime, setDouble, setDouble, setField, setField, setField, setField, setField, setFloat, setFloat, setHexBinary, setInteger, setInteger, setLong, setLong, setObject, setPackedDecimal, setRecords, setSegments, setShort, setShort, setString, setStringArray, setTime, setTime, setValue, setValue, setValue, toRecord, writeToContentHandler`

Methods inherited from class com.servingxml.util.record.AbstractRecord
`createXmlReader, toString, toXmlString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.servingxml.util.record.Record
`createXmlReader, toXmlString`

Constructor Detail

### ParameterBuilder

    public ParameterBuilder()

### ParameterBuilder

    public ParameterBuilder(Record record)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD